com.amazonaws.services.simpleworkflow.model

## Class StartChildWorkflowExecutionFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.StartChildWorkflowExecutionFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class StartChildWorkflowExecutionFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `StartChildWorkflowExecutionFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StartChildWorkflowExecutionFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StartChildWorkflowExecutionFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` The cause of the failure.
`String` `getControl()`
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution.
`Long` `getInitiatedEventId()` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`String` `getWorkflowId()` The `workflowId` of the child workflow execution.
`WorkflowType` `getWorkflowType()` The workflow type provided in the `StartChildWorkflowExecution` decision that failed.
`int` `hashCode()`
`void` `setCause(StartChildWorkflowExecutionFailedCause cause)` The cause of the failure.
`void` `setCause(String cause)` The cause of the failure.
`void` `setControl(String control)`
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution.
`void` `setInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`void` `setWorkflowId(String workflowId)` The `workflowId` of the child workflow execution.
`void` `setWorkflowType(WorkflowType workflowType)` The workflow type provided in the `StartChildWorkflowExecution` decision that failed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StartChildWorkflowExecutionFailedEventAttributes` `withCause(StartChildWorkflowExecutionFailedCause cause)` The cause of the failure.
`StartChildWorkflowExecutionFailedEventAttributes` `withCause(String cause)` The cause of the failure.
`StartChildWorkflowExecutionFailedEventAttributes` `withControl(String control)`
`StartChildWorkflowExecutionFailedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution.
`StartChildWorkflowExecutionFailedEventAttributes` `withInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`StartChildWorkflowExecutionFailedEventAttributes` `withWorkflowId(String workflowId)` The `workflowId` of the child workflow execution.
`StartChildWorkflowExecutionFailedEventAttributes` `withWorkflowType(WorkflowType workflowType)` The workflow type provided in the `StartChildWorkflowExecution` decision that failed.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartChildWorkflowExecutionFailedEventAttributes

    public StartChildWorkflowExecutionFailedEventAttributes()

### Method Detail

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The workflow type provided in the `StartChildWorkflowExecution` decision that failed.

Parameters:
  `workflowType` - The workflow type provided in the `StartChildWorkflowExecution` decision that failed.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The workflow type provided in the `StartChildWorkflowExecution` decision that failed.

Returns:
  The workflow type provided in the `StartChildWorkflowExecution` decision that failed.

#### withWorkflowType

    public StartChildWorkflowExecutionFailedEventAttributes withWorkflowType(WorkflowType workflowType)

The workflow type provided in the `StartChildWorkflowExecution` decision that failed.

Parameters:
  `workflowType` - The workflow type provided in the `StartChildWorkflowExecution` decision that failed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `StartChildWorkflowExecutionFailedCause`

#### getCause

    public String getCause()

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Returns:
  The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `StartChildWorkflowExecutionFailedCause`

#### withCause

    public StartChildWorkflowExecutionFailedEventAttributes withCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StartChildWorkflowExecutionFailedCause`

#### setCause

    public void setCause(StartChildWorkflowExecutionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `StartChildWorkflowExecutionFailedCause`

#### withCause

    public StartChildWorkflowExecutionFailedEventAttributes withCause(StartChildWorkflowExecutionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StartChildWorkflowExecutionFailedCause`

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The `workflowId` of the child workflow execution.

Parameters:
  `workflowId` - The `workflowId` of the child workflow execution.

#### getWorkflowId

    public String getWorkflowId()

The `workflowId` of the child workflow execution.

Returns:
  The `workflowId` of the child workflow execution.

#### withWorkflowId

    public StartChildWorkflowExecutionFailedEventAttributes withWorkflowId(String workflowId)

The `workflowId` of the child workflow execution.

Parameters:
  `workflowId` - The `workflowId` of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInitiatedEventId

    public void setInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getInitiatedEventId

    public Long getInitiatedEventId()

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withInitiatedEventId

    public StartChildWorkflowExecutionFailedEventAttributes withInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

#### withDecisionTaskCompletedEventId

    public StartChildWorkflowExecutionFailedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Parameters:
  `control` -

#### getControl

    public String getControl()

Returns:

#### withControl

    public StartChildWorkflowExecutionFailedEventAttributes withControl(String control)

Parameters:
  `control` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StartChildWorkflowExecutionFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`